# ParametricFilter class abstract

Base class for all parametric filters.

Implementers
  - BrightnessFilter
  - ColorDocumentFilter
  - ContrastFilter
  - CustomBinarizationFilter
  - GrayscaleFilter
  - LegacyFilter
  - ScanbotBinarizationFilter
  - WhiteBlackPointFilter

## Constructors

ParametricFilter.new()
ParametricFilter.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

brightnessFilter() → BrightnessFilter
colorDocumentFilter() → ColorDocumentFilter
contrastFilter() → ContrastFilter
customBinarizationFilter() → CustomBinarizationFilter
grayscaleFilter() → GrayscaleFilter
legacyFilter() → LegacyFilter
scanbotBinarizationFilter() → ScanbotBinarizationFilter
whiteBlackPointFilter() → WhiteBlackPointFilter